import * as debug from 'debug';
declare class ConfigurationPersistence {
    configFile: string;
    debug: debug.IDebugger;
    constructor();
    delete(name: string): true;
    save<T>(name: string, value: T): true;
    restore<T>(name: string, defaultValue?: T): T;
    persistToFile(): void;
    readFromFile(): any;
}
declare const settings: ConfigurationPersistence;
export { settings };
